### Method

# AppStreamCompose Compose add_unit

since: 0.14.5

#### Declaration [src]

    void
    asc_compose_add_unit (
      AscCompose* compose,
      AscUnit* unit
    )

#### Description [src]

Add an `AscUnit` as data source for metadata processing.

Available since: 0.14.5

#### Parameters

`unit`

  Type: `AscUnit`

  The `AscUnit` to add.

  The data is owned by the caller of the method.